#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,160,240,320,720,1440,2880,5760
 * N : 25,160,240,320,720,1440,2880,5760
 * NB : 4,8,16,80,80,80,160,160
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 92) (nb_) = 4; \
   else if ((n_) < 200) (nb_) = 8; \
   else if ((n_) < 280) (nb_) = 16; \
   else if ((n_) < 2160) (nb_) = 80; \
   else (nb_) = 160; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
